Package ru.bitel.bgbilling.modules.ticket.server.bean

# Class TicketChargeEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.contract.balance.server.event.ChargeEvent
ru.bitel.bgbilling.modules.ticket.server.bean.TicketChargeEvent

All Implemented Interfaces:
  `Serializable`

public class TicketChargeEvent extends ChargeEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TicketChargeEvent(int userId, Charge charge, Map<?,?> requestParameters, int ticketId, int transId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<?,?>`
  `getParameters()`
  `int`
  `getTicketId()`
  `int`
  `getTransId()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.server.event.ChargeEvent

  `getCharge, isEditMode`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TicketChargeEvent

    public TicketChargeEvent(int userId, Charge charge, Map<?,?> requestParameters, int ticketId, int transId)

- ## Method Details

  - ### getParameters

    public Map<?,?> getParameters()

  - ### getTicketId

    public int getTicketId()

  - ### getTransId

    public int getTransId()